function g = gfun_ex4(L,h,d,ZL,Z0,aE,ThetaE,ThetaP,PhiP,freq,alp)

% Calcul de Zc
Zc     = 60*acosh((2*h)./d);
Zc2    = Zc.^2;

% Calcul de Beta
Beta   = 2*pi*(freq/3e8);

% Calcul de gamma
gamma  = alp + 1i*Beta;

% Calcul de I(L)

% Calcul de I1
I1 = cosh(gamma.*L) .* (Z0.*Zc + ZL.*Zc) + sinh(gamma.*L) .* (Zc2 + Z0.*ZL);
     
% Calcul de I2
I2 = sin(Beta.*h .* cos(ThetaP)) ./ (Beta.*h .* cos(ThetaP));
     
% Calcul de I3
I3 = 1i*Beta.*cos(ThetaP) .* (-sin(ThetaE).*cos(ThetaP).*sin(PhiP) + cos(ThetaE).*cos(PhiP));

% Calcul de I4
I4 = 0.5 * (Zc + Z0) .* ( (exp((gamma + 1i*Beta.*sin(ThetaP).*sin(PhiP)).*L)-1) ./ (gamma + 1i*Beta.*sin(ThetaP).*sin(PhiP)) );
    
% Calcul de I5
I5 = - 0.5 * (Zc - Z0) .* ( (exp(-(gamma - 1i*Beta.*sin(ThetaP).*sin(PhiP)).*L)-1) ./ (gamma - 1i*Beta.*sin(ThetaP).*sin(PhiP)) );
    
% Calcul de I6
I6 = sin(ThetaE).*sin(ThetaP) .* ( Zc - (Zc.*cosh(gamma.*L) + Z0.*sinh(gamma.*L)) .* exp(1i*Beta.*L.*sin(ThetaP).*sin(PhiP)) );
     
% Calcul de I
g = abs( (2*h.*aE ./ I1) .* I2 .* ( I3 .* (I4 + I5) + I6) );
